/**
Theme Name: Grafitelli
Author: Cédric Coustellié - PlanèteWP
Author URI: https://planetewp.com
Description: Custom Thème pour Grafitelli
Version: 1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: grafitelli
Template: astra
*/

:root {
    --bgPrimary: #FDD8C4;
    --fontSizeDefault: 18px;
    --colorDefault: #000;
}

@font-face {
    font-family: 'silkabold';
    src: url('assets/fonts/silka-bold-webfont.woff2') format('woff2'),
         url('assets/fonts/silka-bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'silkaregular';
    src: url('assets/fonts/silka-regular-webfont.woff2') format('woff2'),
         url('assets/fonts/silka-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
  font-family: 'silkamedium';
  src: url('assets/fonts/silka-medium-webfont.woff2') format('woff2'),
       url('assets/fonts/silka-medium-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;

}

@keyframes heartbeat
{
  0%
  {
    transform: scale( 1 );
  }
  40%
  {
    transform: scale( 1 );
  }
  50%
  {
    transform: scale( .8 );
  }
  70%
  {
    transform: scale( 1 );
  }
  90%
  {
    transform: scale( .8 );
  }
  100%
  {
    transform: scale( 1 );
  }
}

body {
    font-family: 'silkaregular';
    font-size: var(--fontSizeDefault);
    color: var(--colorDefault);
}

b, strong {
    font-family: 'silkamedium';
}

a {
    color: var(--colorDefault);
    text-decoration: none!important;
    border-bottom: 3px solid transparent;
    padding-bottom: 2px;
}

a:hover {
    color: var(--colorDefault);
    border-bottom: 3px solid var(--colorDefault);
}

.ast-container .social-icons a:hover,
.wp-block-social-link:hover {
    transform: scale(1);
    animation: heartbeat 1.2s infinite;
}

.social-icons {
    gap: 10px;
    margin-bottom: 0!important;
}

.social-icons {
  height: 35px!important;
}

body.home #content {
    background-color: var(--bgPrimary);
}

body.home .ast-container {
    min-height: 100vh;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

body.home.admin-bar .ast-container {
    margin-top: -32px;
}

#colonne-right {
    margin-left: -4em!important;
    padding-top: 2em;
}

.wp-blocks-social-links {
  margin-top: 1.2em;
}

.coordonnees {
  margin-top: 0.8em;
}

.wp-block-social-links .wp-social-link svg {
  height: .8em;
  width: .8em;
}

.wp-block-social-links .wp-social-link.wp-social-link-instagram svg {
  height: .7em!important;
  margin-left: -0.6em;
}

#main .wp-container-core-social-links-is-layout-1 {
  gap: 0.2em!important;
}